---
title: "Get request log"
url: "https://docs.signnow.com/docs/api-logs/operations/get-request-logs-request_id"
type: "endpoint"
section: "api-logs"
slug: "api-logs/operations/get-request-logs-request_id"
method: "GET"
path: "/request-logs/{request_id}"
operation_id: "get-request-logs-request_id"
authorization: "bearer"
---

# Get request log

`GET /request-logs/{request_id}`

Retrieve specific user log for an active application.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `request_id` | string | Yes | Can be retrieved from `GET /request-logs` request. |

## Responses

### 200

Returns the request log in case of successful response. Returns an error when:

* Given {request_id} does not exist or user doesn't own this log, "code": 0. Message: "Request log with ID `{request_id}` not found"
* User does not have an active subscription, "code": 0. Message: "User does not have active subscription"

**Example** (`example-1`)

```json
{
  "data": {
    "error": false,
    "created": 1569941241.418,
    "request": {
      "ip": "2X.XX.XXX.X",
      "uri": "/document",
      "body": {
        "file": {
          "mime": "application/pdf",
          "name": "file",
          "size": 147666,
          "filename": "filename.pdf"
        }
      },
      "host": "example.com",
      "method": "POST",
      "source": "PostmanRuntime/7.17.1",
      "headers": {
        "user-agent": "PostmanRuntime/7.17.1",
        "authorization": "*****"
      }
    },
    "user_id": "17XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
    "response": {
      "body": {
        "id": "37XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
      },
      "code": 200,
      "time": "3.126",
      "headers": {
        "connection": "close",
        "content-type": "application/json; charset=utf-8",
        "content-encoding": "gzip",
        "transfer-encoding": "chunked",
        "access-control-allow-origin": "*",
        "access-control-allow-headers": "Authorization"
      }
    },
    "request_id": "ebXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
    "api_version": "api_version",
    "application_id": "15XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
  }
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/request-logs/{request_id}" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/api-logs/operations/get-request-logs-request_id*
